Mailinglist Archive: opensuse-commit (1903 mails)

< Previous Next >
commit python-python-jose for openSUSE:Factory
Hello community,

here is the log from the commit of package python-python-jose for
openSUSE:Factory checked in at 2019-04-12 09:15:27
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/python-python-jose (Old)
and /work/SRC/openSUSE:Factory/.python-python-jose.new.27019 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "python-python-jose"

Fri Apr 12 09:15:27 2019 rev:2 rq:693149 version:3.0.1

Changes:
--------
--- /work/SRC/openSUSE:Factory/python-python-jose/python-python-jose.changes
2018-12-19 13:49:35.887269681 +0100
+++
/work/SRC/openSUSE:Factory/.python-python-jose.new.27019/python-python-jose.changes
2019-04-12 09:15:29.081717005 +0200
@@ -1,0 +2,9 @@
+Thu Apr 11 05:11:28 UTC 2019 - John Vandenberg <jayvdb@xxxxxxxxx>
+
+- Activate test suite, using GitHub archive
+- Add unpin-deps.patch to fix broken installed egg-info,
+ and remove unused dependency on python-future
+- Remove undesirable < comparator in build and runtime dependencies,
+ and remove duplicated dependencies
+
+-------------------------------------------------------------------

New:
----
unpin-deps.patch

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ python-python-jose.spec ++++++
--- /var/tmp/diff_new_pack.5XxsuZ/_old 2019-04-12 09:15:29.913717509 +0200
+++ /var/tmp/diff_new_pack.5XxsuZ/_new 2019-04-12 09:15:29.921717513 +0200
@@ -1,7 +1,7 @@
#
# spec file for package python-python-jose
#
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
@@ -24,28 +24,23 @@
License: MIT
Group: Development/Languages/Python
URL: http://github.com/mpdavis/python-jose
-Source:
https://files.pythonhosted.org/packages/source/p/python-jose/python-jose-%{version}.tar.gz
+Source:
https://github.com/mpdavis/python-jose/archive/%{version}.tar.gz#/python-jose-%{version}.tar.gz
+Patch0: unpin-deps.patch
BuildRequires: %{python_module setuptools}
BuildRequires: fdupes
BuildRequires: python-rpm-macros
-Requires: python-ecdsa < 1.0
-Requires: python-future < 1.0
+Requires: python-ecdsa
Requires: python-rsa
-Requires: python-six < 2.0
+Requires: python-six
Recommends: python-cryptography
Recommends: python-pycryptodome >= 3.3.1
BuildArch: noarch
# SECTION test requirements
BuildRequires: %{python_module cryptography}
-BuildRequires: %{python_module ecdsa < 1.0}
BuildRequires: %{python_module ecdsa}
-BuildRequires: %{python_module future < 1.0}
-BuildRequires: %{python_module future}
-BuildRequires: %{python_module pytest-cov}
+BuildRequires: %{python_module pycryptodome >= 3.3.1}
BuildRequires: %{python_module pytest-runner}
-BuildRequires: %{python_module pytest}
BuildRequires: %{python_module rsa}
-BuildRequires: %{python_module six < 2.0}
BuildRequires: %{python_module six}
# /SECTION
%python_subpackages
@@ -56,6 +51,8 @@

%prep
%setup -q -n python-jose-%{version}
+%patch0 -p1
+sed -i '/addopts/d' setup.cfg

%build
%python_build
@@ -64,6 +61,9 @@
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

+%check
+%python_exec setup.py test
+
%files %{python_files}
%doc README.rst
%license LICENSE

++++++ python-jose-3.0.1.tar.gz ++++++
++++ 9769 lines of diff (skipped)

++++++ unpin-deps.patch ++++++
Index: python-jose-3.0.1/setup.py
===================================================================
--- python-jose-3.0.1.orig/setup.py
+++ python-jose-3.0.1/setup.py
@@ -23,8 +23,8 @@ def get_packages(package):

extras_require = {
'cryptography': ['cryptography'],
- 'pycrypto': ['pycrypto >=2.6.0, <2.7.0'],
- 'pycryptodome': ['pycryptodome >=3.3.1, <4.0.0'],
+ 'pycrypto': ['pycrypto >=2.6.0'],
+ 'pycryptodome': ['pycryptodome >=3.3.1'],
}


@@ -58,12 +58,10 @@ setup(
setup_requires=['pytest-runner'],
tests_require=[
'six',
- 'future',
'ecdsa',
'pytest',
- 'pytest-cov',
'pytest-runner',
'cryptography',
],
- install_requires=['six <2.0', 'ecdsa <1.0', 'rsa', 'future <1.0']
+ install_requires=['six', 'ecdsa', 'rsa']
)

< Previous Next >
This Thread
  • No further messages